<?php
/**
 * @author Thomas Müller <thomas.mueller@tmit.eu>
 *
 * @copyright Copyright (c) 2015, ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\password_policy\Rules;

class Uppercase {

	public function verify($password, $val) {
		if ($this->countCapitals($password) < $val) {
			throw new \Exception("Password holds too less uppercase characters. Minimum $val uppercase characters are required.");
		}
	}

	private function countCapitals($s) {
		$split = preg_split('//u', $s, -1, PREG_SPLIT_NO_EMPTY);

		$count = 0;
		foreach ($split as $index => $char) {
			if ($char === mb_strtoupper($char, 'UTF-8') && $char !== mb_strtolower($char, 'UTF-8')) {
				$count++;
			}
		}
		return $count;
	}

}
