<?php
/**
 * @author Thomas Müller <thomas.mueller@tmit.eu>
 *
 * @copyright Copyright (c) 2015, ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

use OCA\password_policy\Rules\Length;

class LengthTest extends \PHPUnit_Framework_TestCase {

	/**
	 * @expectedException Exception
	 */
	public function testTooShort() {
		$r = new Length();
		$r->verify('1234567890', 25);
	}

	public function testOkay() {
		$r = new Length();
		$r->verify('1234567890', 6);
	}

	/**
	 * @expectedException Exception
	 */
	public function testSpecialCharsTooShort() {
		$r = new Length();
		$r->verify('ççç', 5);
	}

	public function testSpecialCharsOkay() {
		$r = new Length();
		$r->verify('çççççç', 5);
	}

}
