<?php
/**
 * @author Thomas Müller <thomas.mueller@tmit.eu>
 *
 * @copyright Copyright (c) 2015, ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

use OCA\password_policy\Rules\Uppercase;

class UppercaseTest extends \PHPUnit_Framework_TestCase {

	/**
	 * @expectedException Exception
	 */
	public function testTooShort() {
		$r = new Uppercase();
		$r->verify('ab', 4);
	}

	public function testOkay() {
		$r = new Uppercase();
		$r->verify('ABCFWA12345', 6);
	}

	/**
	 * @expectedException Exception
	 */
	public function testSpecialUpperCaseTooShort() {
		$r = new Uppercase();
		$r->verify('Ññññññññññ', 5);
	}

	public function testSpecialUpperCaseOkay() {
		$r = new Uppercase();
		$r->verify('ÑñÑñÑñÑñÑñ', 5);
	}

	/**
	 * @expectedException Exception
	 */
	public function testNumericOnlyTooShort() {
		$r = new Uppercase();
		$r->verify('11111111', 5);
	}

	/**
	 * @expectedException Exception
	 */
	public function testSpecialOnlyTooShort() {
		$r = new Uppercase();
		$r->verify('#+?@#+?@', 5);
	}

}
