<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\windows_network_drive\tests;

class wndTestInShare extends wndTest {
    public function setUp() {
        if(!isset(self::$random)){
            self::$random = $this->getRandomCode();
        }
        $this->config = include('windows_network_drive/tests/wndconfig.php');

        $this->wnd = new \OCA\windows_network_drive\lib\WND(array(
            'host' => $this->config['wnd']['host'],
            'user' => $this->config['wnd']['user'],
            'password' => $this->config['wnd']['password'],
            'share' => $this->config['wnd']['share'],
            'root' => '/',
            'credentialsType' => $this->config['wnd']['credentialsType'],
        ));

        $this->wndwrong = new \OCA\windows_network_drive\lib\WND(array(
            'host' => $this->config['wndwrong']['host'],
            'user' => $this->config['wndwrong']['user'],
            'password' => $this->config['wndwrong']['password'],
            'share' => $this->config['wndwrong']['share'],
            'root' => '/',
            'credentialsType' => $this->config['wnd']['credentialsType'],
        ));

        $this->wndbadpass = new \OCA\windows_network_drive\lib\WND(array(
            'host' => $this->config['wnd']['host'],
            'user' => $this->config['wnd']['user'],
            'password' => 'qazwsxedc'.self::$random,
            'share' => $this->config['wnd']['share'],
            'root' => '/',
            'credentialsType' => $this->config['wnd']['credentialsType'],
        ));
    }

    public function test_remoteType1() {
        $this->assertEquals('share', $this->wnd->remoteType());
    }

    public function test_remoteType2() {
        $this->assertEquals('share', $this->wndwrong->remoteType());
    }
}
